#!/usr/bin/env python
#
# drPython installation script.
# Copyright (c) 2004 Radoslaw Stachowiak <radek@gentoo.org>
#
#######################################
#
# Last modification: 2004/10/12 23:05:09
# Version 0.9.1:  The full modified version by Christophe.
# (Plus minor comment changes by Dan).
#
# (Daniel Pozmanter, 0.9.0:  Added Christophe's Patch.
#
# (Daniel Pozmanter:  0.8.1:  Modified version number.)
#
#######################################
#

from distutils.core import setup

# version
MY_VER='3.10.11'

# package name, do not change
MY_NAME = 'drpython'

# please add every package data file to be installed to the list
DATA = [
	'documentation/*',
	'examples/DrScript/*',
	'bitmaps/*.ico', 'bitmaps/*.png',
	'bitmaps/16/*.png', 'bitmaps/24/*.png',
	# adding runner scripts, TODO: drpython startup should be probably redone
	'drpython.pyw', 'drpython.lin'
]

# and now standard distutils installation routine
setup(name="DrPython",
	version=MY_VER,
	description="DrPython is a highly customizable cross-platform Python IDE using wxWidgets.",
	author="Daniel Pozmanter",
	author_email="drpython@bluebottle.com",
	url="http://drpython.sourceforge.net",
	packages=[ MY_NAME ],
	package_dir={ MY_NAME : '.' },
	package_data={ MY_NAME : DATA },
	# scripts=['drpython.pyw','drpython.lin'],
)
